## org.eclipse.emf.compare.match.metamodel
Interface MatchFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  MatchFactoryImpl

    public interface MatchFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `MatchPackage`

Field Summary
`static MatchFactory` `eINSTANCE` The singleton instance of the factory

Method Summary
`Match2Elements` `createMatch2Elements()` Returns a new object of class 'Match2 Elements'.
`Match3Elements` `createMatch3Elements()` Returns a new object of class 'Match3 Elements'
`MatchModel` `createMatchModel()` Returns a new object of class 'Model'
`MatchResourceSet` `createMatchResourceSet()` Returns a new object of class 'Resource Set'
`UnmatchElement` `createUnmatchElement()` Returns a new object of class 'Unmatch Element'
`UnmatchModel` `createUnmatchModel()` Returns a new object of class 'Unmatch Model'
`MatchPackage` `getMatchPackage()` Returns the package supported by this factory

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final MatchFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createMatch2Elements

    Match2Elements createMatch2Elements()

  Returns a new object of class 'Match2 Elements'.

  Returns:
    a new object of class 'Match2 Elements'.

### createMatch3Elements

    Match3Elements createMatch3Elements()

  Returns a new object of class 'Match3 Elements'.

  Returns:
    a new object of class 'Match3 Elements'.

### createUnmatchElement

    UnmatchElement createUnmatchElement()

  Returns a new object of class 'Unmatch Element'.

  Returns:
    a new object of class 'Unmatch Element'.

### createMatchResourceSet

    MatchResourceSet createMatchResourceSet()

  Returns a new object of class 'Resource Set'.

  Returns:
    a new object of class 'Resource Set'.

### createMatchModel

    MatchModel createMatchModel()

  Returns a new object of class 'Model'.

  Returns:
    a new object of class 'Model'.

### createUnmatchModel

    UnmatchModel createUnmatchModel()

  Returns a new object of class 'Unmatch Model'.

  Returns:
    a new object of class 'Unmatch Model'.

### getMatchPackage

    MatchPackage getMatchPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Copyright 2006 IBM Corporation and others. All Rights Reserved.